Bug 1421427 - [abrt] gnome-boxes: boxes_app_setup_default_source_co(): gnome-boxes killed by SIGABRT
Summary: [abrt] gnome-boxes: boxes_app_setup_default_source_co(): gnome-boxes killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fbb0d620f831f52b78ae0f97a1d...
: 1427837 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 09:20 UTC by Joachim Frieben
Modified: 2017-12-12 10:23 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:23:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.89 KB, text/plain)
2017-02-12 09:20 UTC, Joachim Frieben
no flags Details
File: cgroup (259 bytes, text/plain)
2017-02-12 09:20 UTC, Joachim Frieben
no flags Details
File: core_backtrace (5.87 KB, text/plain)
2017-02-12 09:20 UTC, Joachim Frieben
no flags Details
File: dso_list (19.28 KB, text/plain)
2017-02-12 09:20 UTC, Joachim Frieben
no flags Details
File: environ (3.39 KB, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: maps (96.20 KB, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: mountinfo (3.76 KB, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: open_fds (1.90 KB, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details
File: var_log_messages (780 bytes, text/plain)
2017-02-12 09:21 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2017-02-12 09:20:49 UTC
Version-Release number of selected component:
gnome-boxes-3.22.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_app_setup_default_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     2071
kernel:         4.9.8-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 boxes_app_setup_default_source_co at /home/fborges/checkout/gnome-boxes/src/app.vala:433
 #5 g_task_return_now at gtask.c:1121
 #6 g_task_return at gtask.c:1179
 #7 boxes_app_add_collection_source_co at /home/fborges/checkout/gnome-boxes/src/app.vala:377
 #8 g_task_return_now at gtask.c:1121
 #9 g_task_return at gtask.c:1179
 #10 boxes_libvirt_broker_real_add_source_co at /home/fborges/checkout/gnome-boxes/src/libvirt-broker.vala:127
 #11 g_task_return_now at gtask.c:1121
 #12 complete_in_idle_cb at gtask.c:1135
 #17 g_main_context_iteration at gmain.c:3990

Comment 1 Joachim Frieben 2017-02-12 09:20:53 UTC
Created attachment 1249468 [details]
File: backtrace

Comment 2 Joachim Frieben 2017-02-12 09:20:55 UTC
Created attachment 1249469 [details]
File: cgroup

Comment 3 Joachim Frieben 2017-02-12 09:20:57 UTC
Created attachment 1249470 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2017-02-12 09:20:59 UTC
Created attachment 1249471 [details]
File: dso_list

Comment 5 Joachim Frieben 2017-02-12 09:21:00 UTC
Created attachment 1249472 [details]
File: environ

Comment 6 Joachim Frieben 2017-02-12 09:21:02 UTC
Created attachment 1249473 [details]
File: limits

Comment 7 Joachim Frieben 2017-02-12 09:21:05 UTC
Created attachment 1249474 [details]
File: maps

Comment 8 Joachim Frieben 2017-02-12 09:21:07 UTC
Created attachment 1249475 [details]
File: mountinfo

Comment 9 Joachim Frieben 2017-02-12 09:21:09 UTC
Created attachment 1249476 [details]
File: namespaces

Comment 10 Joachim Frieben 2017-02-12 09:21:11 UTC
Created attachment 1249477 [details]
File: open_fds

Comment 11 Joachim Frieben 2017-02-12 09:21:12 UTC
Created attachment 1249478 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2017-02-12 09:21:15 UTC
Created attachment 1249479 [details]
File: var_log_messages

Comment 13 Lilicenco 2017-03-01 11:13:00 UTC
*** Bug 1427837 has been marked as a duplicate of this bug. ***

Comment 14 Aswin Babu Karuvally 2017-04-05 20:12:24 UTC
Similar problem has been detected:

The problem occured while trying to start boxes after updating the system using "dnf update"

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_app_setup_default_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     19495
kernel:         4.8.6-300.fc25.x86_64
package:        gnome-boxes-3.22.4-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-boxes killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-11-16 14:28:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:23:46 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.